Generate Presigned Upload URLs
curl --request POST \
--url https://platform-us.plaud.ai/developer/api/open/partner/files/upload/generate-presigned-urls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"filesize": 10485760,
"filetype": "mp3"
}
'import requests
url = "https://platform-us.plaud.ai/developer/api/open/partner/files/upload/generate-presigned-urls"
payload = {
"filesize": 10485760,
"filetype": "mp3"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"FileId": "file_xxx",
"UploadId": "upload_xxx",
"ChunkSize": 5242880,
"Parts": [
{
"PartNumber": 1,
"PresignedUrl": "https://plaud-bucket.s3.amazonaws.com/..."
},
{
"PartNumber": 2,
"PresignedUrl": "https://plaud-bucket.s3.amazonaws.com/..."
}
]
}File Upload API
Generate Presigned Upload URLs
Request presigned S3 URLs for a multipart upload.
The file is split into chunks of 5 MB with one presigned URL per part.
For each part returned:
- Send raw bytes to S3 —
PUT PresignedUrlthe raw bytes of the chunk to (no auth needed). - Collect the
ETagfrom each S3 response header — These will be needed in the complete-upload endpoint.
POST
/
open
/
partner
/
files
/
upload
/
generate-presigned-urls
Generate Presigned Upload URLs
curl --request POST \
--url https://platform-us.plaud.ai/developer/api/open/partner/files/upload/generate-presigned-urls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"filesize": 10485760,
"filetype": "mp3"
}
'import requests
url = "https://platform-us.plaud.ai/developer/api/open/partner/files/upload/generate-presigned-urls"
payload = {
"filesize": 10485760,
"filetype": "mp3"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"FileId": "file_xxx",
"UploadId": "upload_xxx",
"ChunkSize": 5242880,
"Parts": [
{
"PartNumber": 1,
"PresignedUrl": "https://plaud-bucket.s3.amazonaws.com/..."
},
{
"PartNumber": 2,
"PresignedUrl": "https://plaud-bucket.s3.amazonaws.com/..."
}
]
}Authorizations
Bearer authentication using a user_access_token (see the Authentication API).
Headers
Body
application/json
Response
200 - application/json
Presigned URLs issued
Identifier for the file being uploaded. Pass to complete-upload.
Example:
"file_xxx"
Identifier for the multipart upload session. Pass to complete-upload.
Example:
"upload_xxx"
Size of each chunk, in bytes. The file should be split into chunks of this size.
Example:
5242880
One entry per chunk, each with a presigned S3 URL to PUT the chunk to.
Show child attributes
Show child attributes
Was this page helpful?